.TH OKit_ErrLog 3 "August 2001" Unix Libraries
.SH NAME
 OKit_ErrLog -  Error Tracer  Instructions manual  


.SH Error loging functions
.PD 1
.P
.PD
.P
.SS Function SETERRLOGFILE

.PD 0
.I void SETERRLOGFILE(int fd) ;
.P
.PD 0.PD 0
.P
.PD
Sets the file where error traces will be printed.

.B
	Args:
.RS
.TP 12 
.I
_ fd
	file descriptor representing an open stream to use to print traces
.RE
.PD 1
.P
.PD
.P
.SS Function ERRTRACEON

.PD 0
.I void ERRTRACEON() ;
.P
.PD 0.PD 0
.P
.PD
Toggles error tracing on.

.P
.SS Function ERRTRACEOFF

.PD 0
.I void ERRTRACEOFF() ;
.P
.PD 0.PD 0
.P
.PD
Toggles error tracing off.

.P
.SS Function ERRTRACEDBG

.PD 0
.I void ERRTRACEDBG(unsigned long dbglevel) ;
.P
.PD 0.PD 0
.P
.PD
Sets the debugging level mask.

.B
	Args:
.RS
.TP 12 
.I
_ dbglevel
	new debugging mask
.RE
.PD 1
.P
.PD
.P
.SS Function FATALERR

.PD 0
.I void FATALERR(int err) ;
.P
.PD 0.PD 0
.P
.PD
Adds an error number to the list of fatal errors.

.B
	Args:
.RS
.TP 12 
.I
_ err
	makes err to be a fatal error
.RE
.PD 1
.P
.PD
.P
.SS Function ERRMARK

.PD 0
.I void ERRMARK() ;
.P
.PD 0.PD 0
.P
.PD
Marks the error log.

.P
.SS Function DEBUG

.PD 0
.I void DEBUG(char * funcname, unsigned char dbglevel, char * message, ...) ;
.P
.PD 0.PD 0
.P
.PD
Produces an error from function 'funcname', and message 'message', at debugging level 'dbglevel'.

.B
	Args:
.RS
.TP 12 
.I
_ funcname
	name of the function from which this call was issued
.TP 12 
.I
_ dbglevel
	debugging level at which this error is raised
.TP 12 
.I
_ message
	optional message to add to transcript
.RE
.PD 1
.P
.PD
.B
	Note:
.RS
.IP "" 0
Variable arguments are formatted following escapes in the message string,
taking the form '%d*?' where d* is any number of digits and ? is either:
.RE
.RS
.TP 12 
.I
_  %
	a litteral '%' character is printed
.TP 12 
.I
_  c
	the argument is a character
.TP 12 
.I
_  s
	the argument is a string, and will be printed as-is
.TP 12 
.I
_  u
	the argument is an unsigned number, printed in decimal form
.TP 12 
.I
_  x
	the argument is an unsigned number, printed in hexadecimal form
.RE
.RS
.IP "" 0
For s,u,x, the digits before the conversion character denotes the maximum
number of characters to be printed
.RE
.PD 1
.P
.PD
.B
	Note:
.RS
.IP "" 0
The error levels used in this library are:
.RE
.RS
.TP 12 
.I
_  0
	memory failures
.TP 12 
.I
_  1
	argument passing (objects)
.TP 12 
.I
_  2
	argument passing (system)
.TP 12 
.I
_  3
	synchronization locks
.TP 12 
.I
_  4
	syntax errors
.RE
.PD 1
.P
.PD
.P
.SS Function ERROR

.PD 0
.I void ERROR(char * funcname, char * message, ...) ;
.P
.PD 0.PD 0
.P
.PD
Produces an error from function 'funcname', and message 'message'.

.B
	Args:
.RS
.TP 12 
.I
_ funcname
	name of the function from which this call was issued
.TP 12 
.I
_ message
	optional message to add to transcript
.RE
.PD 1
.P
.PD
.B
	Note:
.RS
.IP "" 0
Variable arguments are formatted following escapes in the message string,
taking the form '%d*?' where d* is any number of digits and ? is either:
.RE
.RS
.TP 12 
.I
_  %
	a litteral '%' character is printed
.TP 12 
.I
_  c
	the argument is a character
.TP 12 
.I
_  s
	the argument is a string, and will be printed as-is
.TP 12 
.I
_  u
	the argument is an unsigned number, printed in decimal form
.TP 12 
.I
_  x
	the argument is an unsigned number, printed in hexadecimal form
.RE
.RS
.IP "" 0
For s,u,x, the digits before the conversion character denotes the maximum
number of characters to be printed
.RE
.PD 1
.P
.PD
.P
.SS Function MESSAGE

.PD 0
.I void MESSAGE(char * funcname, char * message, ...) ;
.P
.PD 0.PD 0
.P
.PD
Produces an information message from function 'funcname', and message 'message'.

.B
	Args:
.RS
.TP 12 
.I
_ funcname
	name of the function from which this call was issued
.TP 12 
.I
_ message
	optional message to add to transcript
.RE
.PD 1
.P
.PD
.B
	Note:
.RS
.IP "" 0
Variable arguments are formatted following escapes in the message string,
taking the form '%d*?' where d* is any number of digits and ? is either:
.RE
.RS
.TP 12 
.I
_  %
	a litteral '%' character is printed
.TP 12 
.I
_  c
	the argument is a character
.TP 12 
.I
_  s
	the argument is a string, and will be printed as-is
.TP 12 
.I
_  u
	the argument is an unsigned number, printed in decimal form
.TP 12 
.I
_  x
	the argument is an unsigned number, printed in hexadecimal form
.RE
.RS
.IP "" 0
For s,u,x, the digits before the conversion character denotes the maximum
number of characters to be printed
.RE
.PD 1
.P
.PD
.P
.SS Function ERRPRINT

.PD 0
.I void ERRPRINT() ;
.P
.PD 0.PD 0
.P
.PD
Prints the last error in log to the file specified by SETERRLOGFILE (default 2: stderr).

.P
.SS Function ERRFLUSH

.PD 0
.I void ERRFLUSH() ;
.P
.PD 0
