.TH OKit_ExecMod 3 "August 2001" Unix Libraries
.SH NAME
 OKit_ExecMod -  Execution  module  Instructions manual  


.I

.I
USES ErrLog.h
.I


.SH Object evaluation
.PD 1
.P
.PD
.P
.SS Function ObjectEval

.PD 0
.I Status ObjectEval(Stack stk, NameSpace dom, Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Evaluates an Object.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack environment
.TP 12 
.I
_ dom
	Variables environment
.TP 12 
.I
_ obj
	Object to execute
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ {-1, "<!>"}
	if a NULL Stack, NameSpace or Object was passed as argument
.TP 12 
.I
_ { 0, ""   }
	if the execution terminated normally
.RE
.RS
.IP "" 0
else a return Status.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Stack, NameSpace or Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function ListEval

.PD 0
.I Status ListEval(Stack stk, NameSpace dom, List lst) ;
.P
.PD 0.PD 0
.P
.PD
Evaluates a List.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack environment
.TP 12 
.I
_ dom
	Variables environment
.TP 12 
.I
_ lst
	list to execute
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ {-1, "<!>"}
	if a NULL Stack or NameSpace was passed as argument
.TP 12 
.I
_ { 0, ""   }
	if the execution terminated normally
.RE
.RS
.IP "" 0
else a return Status.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Stack or NameSpace was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function CodeEval

.PD 0
.I Status CodeEval(Stack stk, NameSpace dom, Code cod) ;
.P
.PD 0.PD 0
.P
.PD
Evaluates a Code object.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack environment
.TP 12 
.I
_ dom
	Variables environment
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ {-1, "<!>"}
	if a NULL Stack, NameSpace or Code was passed as argument
.TP 12 
.I
_ { 0, ""   }
	if the execution terminated normally
.RE
.RS
.IP "" 0
else a return Status.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Stack, NameSpace or Code was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function BltnEval

.PD 0
.I Status BltnEval(Stack stk, NameSpace dom, Bltn blt) ;
.P
.PD 0.PD 0
.P
.PD
Evaluates a Built-in.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack environment
.TP 12 
.I
_ dom
	Variables environment
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ {-1, "<!>"}
	if a NULL Stack, NameSpace or Bltn was passed as argument
.TP 12 
.I
_ { 0, ""   }
	if the execution terminated normally
.RE
.RS
.IP "" 0
else a return Status.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Stack, NameSpace or Bltn was passed as argument
.RE
.PD 1
.P
.PD
