.TH OKit_FileIOMod 3 "August 2001" Unix Libraries
.SH NAME
 OKit_FileIOMod -  File IO module  Instructions manual  


.I

.I
USES ErrLog.h
.I


.SH Objects File-descriptor Printing
.PD 1
.P
.PD
.P
.SS Function ObjectPrint

.PD 0
.I unsigned long ObjectPrint(Object obj, int fd) ;
.P
.PD 0.PD 0
.P
.PD
Prints an Object into a file descriptor.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to print
.TP 12 
.I
_ fd
	output file descriptor
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if some error occurred
.RE
.RS
.IP "" 0
else the total number of characters printed
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Object was passed as argument
.RE
.RS
.IP "" 0
or any error generated by the 'write' system call on file descriptor 'fd'
.RE
.PD 1
.P
.PD
.P
.SS Function VoidPrint

.PD 0
.I unsigned long VoidPrint(Void vd, int fd) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ vd
	
.TP 12 
.I
_ fd
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function IntgPrint

.PD 0
.I unsigned long IntgPrint(Intg in, int fd) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ in
	
.TP 12 
.I
_ fd
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function FltpPrint

.PD 0
.I unsigned long FltpPrint(Fltp fp, int fd) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ fp
	
.TP 12 
.I
_ fd
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgPrint

.PD 0
.I unsigned long StrgPrint(Strg str, int fd) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.TP 12 
.I
_ fd
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListPrint

.PD 0
.I unsigned long ListPrint(List lst, int fd) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ fd
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodePrint

.PD 0
.I unsigned long CodePrint(Code cod, int fd) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ fd
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnPrint

.PD 0
.I unsigned long BltnPrint(Bltn blt, int fd) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.TP 12 
.I
_ fd
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD

.SH Stack and NameSpace File-descriptor Printing
.PD 1
.P
.PD
.P
.SS Function StackFPrint

.PD 0
.I unsigned long StackFPrint(Stack stk, int fd, char * head, char * rowfmt, char * tail, unsigned long rows) ;
.P
.PD 0.PD 0
.P
.PD
Prints the contents of a Stack in a file descriptor, following the given formats.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack
.TP 12 
.I
_ fd
	file descriptor
.TP 12 
.I
_ head
	head string
.TP 12 
.I
_ rowfmt
	row printing format
.TP 12 
.I
_ tail
	tail string
.TP 12 
.I
_ rows
	number of rows (height in chars)
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if some error occurred
.RE
.RS
.IP "" 0
else the number of characters printed.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL  was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function NameSpaceFPrint

.PD 0
.I unsigned long NameSpaceFPrint(NameSpace nms, int fd, char * head, char * rowfmt, char * tail) ;
.P
.PD 0.PD 0
.P
.PD
Prints the contents of a NameSpace in a file descriptor, following the given formats.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	NameSpace
.TP 12 
.I
_ fd
	file descriptor
.TP 12 
.I
_ head
	head string
.TP 12 
.I
_ rowfmt
	row printing format
.TP 12 
.I
_ tail
	tail string
.TP 12 
.I
_ rows
	number of rows (height in chars)
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if some error occurred
.RE
.RS
.IP "" 0
else the number of characters printed.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL  was passed as argument
.RE
.PD 1
.P
.PD
