.TH OKit_ObjTypes 3 "August 2001" Unix Libraries
.SH NAME
 OKit_ObjTypes -  Object Types  Instructions manual  


.I

.I
USES ErrLog.h
.I


.SH Generic Object methods
.PD 1
.P
.PD
.P
.SS Function ObjectAlloc

.PD 0
.I Object ObjectAlloc() ;
.P
.PD 0.PD 0
.P
.PD
Allocates an empty, undefined object.

.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.RS
.IP "" 0
else a new undefined Object.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectCopy

.PD 0
.I Object ObjectCopy(Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Hard-copies an Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to copy
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL Object was passed as argument, or no memory was available
.RE
.RS
.IP "" 0
else a direct, fully recursive copy of the Object.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Object was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectClone

.PD 0
.I Object ObjectClone(Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Clones an Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to clone
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL Object was passed as argument, or no memory was available
.RE
.RS
.IP "" 0
else a cloned version of the Object (flat copy).
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Object was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectDup

.PD 0
.I Object ObjectDup(Object obj) ;
.P
.PD 0.PD 0
.P
.PD
References an Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to reference
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL Object was passed as argument
.RE
.RS
.IP "" 0
else the referenced object.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectDrop

.PD 0
.I Object ObjectDrop(Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Dereferences an Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to dereference
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL Object was passed as argument
.RE
.RS
.IP "" 0
else the dereferenced object.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectFree

.PD 0
.I void ObjectFree(Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Frees and Object if it is unreferenced.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to free
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectType

.PD 0
.I Type ObjectType(Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Returns the type of an Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to query
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if a NULL Object was passed as argument
.RE
.RS
.IP "" 0
else the numeric identifier for the object type.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectTypeName

.PD 0
.I char * ObjectTypeName(Type typ) ;
.P
.PD 0.PD 0
.P
.PD
Returns a name for a numeric type identifier.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to query
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ ""
	if an unknown type was given
.RE
.RS
.IP "" 0
else a unique string usable as a name for that type.
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectContent

.PD 0
.I void * ObjectContent(Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Returns a pointer on the content of an Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to query
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if a NULL Object was passed as argument
.RE
.RS
.IP "" 0
else a pointer to the Object's content.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectStat

.PD 0
.I unsigned long ObjectStat(Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Prints an Object's statistics.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to query
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if a NULL Object was passed as argument
.RE
.RS
.IP "" 0
else 0.
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectOut

.PD 0
.I unsigned long ObjectOut(Object obj, char * out, unsigned long max) ;
.P
.PD 0.PD 0
.P
.PD
Prints an Object into a character string.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to print
.TP 12 
.I
_ out
	allocated output string (at least max+1 characters)
.TP 12 
.I
_ max
	max number of characters to print
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if some error occurred
.RE
.RS
.TP 12 
_ the maximum number of character needed to print completely the object if 'out' is NULL (max is ignored)
.RE
.RS
.IP "" 0
else the total number of characters printed
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectEqual

.PD 0
.I unsigned char ObjectEqual(Object obj, Object objw) ;
.P
.PD 0.PD 0
.P
.PD
Tests the equality between Objects.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to test
.TP 12 
.I
_ objw
	reference Object
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if a NULL Object was passed as argument
.TP 12 
.I
_  0
	if the two Objects were distinct
.TP 12 
.I
_ +1
	if the two Objects were equal
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Object was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function ObjectStrg

.PD 0
.I Strg ObjectStrg(Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Returns the String representation of an Object.

.B
	Args:
.RS
.TP 12 
.I
_ obj
	Object to print
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL Object was passed as argument, or no memory was available
.RE
.RS
.IP "" 0
else the Object's String representation.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.I

.I
Below this line, the methods specifications are incomplete.
.I
You must read the source to know the exact behaviour of each function.
.I


.SH Void object type
.PD 1
.P
.PD
.P
.SS Function VoidNew

.PD 0
.I Object VoidNew() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function VoidWrap

.PD 0
.I Object VoidWrap(Void vd) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ vd
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function VoidOut

.PD 0
.I unsigned long VoidOut(Void vd, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ vd
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD

.SH Intg object type
.PD 1
.P
.PD
.P
.SS Function IntgAlloc

.PD 0
.I Intg IntgAlloc() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function IntgCopy

.PD 0
.I Intg IntgCopy(Intg in) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ in
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function IntgClone

.PD 0
.I Intg IntgClone(Intg in) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ in
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function IntgNew

.PD 0
.I Object IntgNew(long nb) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ nb
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function IntgWrap

.PD 0
.I Object IntgWrap(Intg in) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ in
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function IntgOut

.PD 0
.I unsigned long IntgOut(Intg in, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ in
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function IntgEqual

.PD 0
.I unsigned char IntgEqual(Intg in, Intg inw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ in
	
.TP 12 
.I
_ inw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD

.SH Fltp object type
.PD 1
.P
.PD
.P
.SS Function FltpAlloc

.PD 0
.I Fltp FltpAlloc() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function FltpCopy

.PD 0
.I Fltp FltpCopy(Fltp fp) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ fp
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function FltpClone

.PD 0
.I Fltp FltpClone(Fltp fp) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ fp
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function FltpNew

.PD 0
.I Object FltpNew(double nb) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ nb
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function FltpWrap

.PD 0
.I Object FltpWrap(Fltp fp) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ fp
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function FltpOut

.PD 0
.I unsigned long FltpOut(Fltp fp, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ fp
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function FltpEqual

.PD 0
.I unsigned char FltpEqual(Fltp fp, Fltp fpw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ fp
	
.TP 12 
.I
_ fpw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgAlloc

.PD 0
.I Strg StrgAlloc(unsigned long size) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ size
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgCopy

.PD 0
.I Strg StrgCopy(Strg str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgClone

.PD 0
.I Strg StrgClone(Strg str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgFree

.PD 0
.I void StrgFree(Strg str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgNew

.PD 0
.I Object StrgNew(char * str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgWrap

.PD 0
.I Object StrgWrap(Strg str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgLen

.PD 0
.I unsigned long StrgLen(Strg str) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgCat

.PD 0
.I Strg StrgCat(Strg str1, Strg str2) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str1
	
.TP 12 
.I
_ str2
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgCut

.PD 0
.I Strg StrgCut(Strg str, unsigned long beg, unsigned long end) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.TP 12 
.I
_ beg
	
.TP 12 
.I
_ end
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgOut

.PD 0
.I unsigned long StrgOut(Strg str, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgEqual

.PD 0
.I unsigned char StrgEqual(Strg str, Strg strw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.TP 12 
.I
_ strw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StrgCharString

.PD 0
.I unsigned long StrgCharString(Strg str, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ str
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListAlloc

.PD 0
.I List ListAlloc() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListAllocBlock

.PD 0
.I List ListAllocBlock(unsigned long numb) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ numb
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListCopy

.PD 0
.I List ListCopy(List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListClone

.PD 0
.I List ListClone(List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListDup

.PD 0
.I List ListDup(List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListDrop

.PD 0
.I List ListDrop(List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListFree

.PD 0
.I void ListFree(List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListNew

.PD 0
.I Object ListNew() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListWrap

.PD 0
.I Object ListWrap(List lst) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListLen

.PD 0
.I unsigned long ListLen(List lst) ;
.P
.PD 0.PD 0
.P
.PD
Returns the length of a List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListGet

.PD 0
.I Object ListGet(List lst, unsigned long pos) ;
.P
.PD 0.PD 0
.P
.PD
Gets an object by its position in a List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ pos
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListPut

.PD 0
.I Object ListPut(List lst, unsigned long pos, Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Puts an object by its position in a List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ pos
	
.TP 12 
.I
_ obj
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListDel

.PD 0
.I List ListDel(List lst, unsigned long beg, unsigned long end) ;
.P
.PD 0.PD 0
.P
.PD
Deletes the objects in positions [beg,end[ in a List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ beg
	
.TP 12 
.I
_ end
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListIns

.PD 0
.I List ListIns(List lst, unsigned long pos, List lsi) ;
.P
.PD 0.PD 0
.P
.PD
Inserts the objects of the second List in the first, between the pos-1-th and the pos-th objects.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ pos
	
.TP 12 
.I
_ lsi
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.B
	Note:
.RS
.IP "" 0
To prevent internal structures and memory corruption, lsi is empty after successfull
insertion.
.RE
.PD 1
.P
.PD
.P
.SS Function ListPush

.PD 0
.I List ListPush(List lst, Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Adds an object at the end of a List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ obj
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListPop

.PD 0
.I Object ListPop(List lst) ;
.P
.PD 0.PD 0
.P
.PD
Retrives an object at the end of a List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListUnshift

.PD 0
.I List ListUnshift(List lst, Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Adds an object at the beginning of a List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ obj
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListShift

.PD 0
.I Object ListShift(List lst) ;
.P
.PD 0.PD 0
.P
.PD
Retrives an object at the beginning of a List.

.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListOut

.PD 0
.I unsigned long ListOut(List lst, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function ListEqual

.PD 0
.I unsigned char ListEqual(List lst, List lstw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ lst
	
.TP 12 
.I
_ lstw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeAlloc

.PD 0
.I Code CodeAlloc() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeCopy

.PD 0
.I Code CodeCopy(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeClone

.PD 0
.I Code CodeClone(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeDup

.PD 0
.I Code CodeDup(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeDrop

.PD 0
.I Code CodeDrop(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeFree

.PD 0
.I void CodeFree(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeNew

.PD 0
.I Object CodeNew() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeWrap

.PD 0
.I Object CodeWrap(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeArgC

.PD 0
.I unsigned char CodeArgC(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeArgT

.PD 0
.I unsigned short CodeArgT(Code cod, unsigned char argn) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ argn
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeRetC

.PD 0
.I unsigned char CodeRetC(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeSetArgC

.PD 0
.I unsigned char CodeSetArgC(Code cod, unsigned char argc) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ argc
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeSetArgT

.PD 0
.I unsigned short CodeSetArgT(Code cod, unsigned char argn, Type argt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ argn
	
.TP 12 
.I
_ argt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeSetArgT

.PD 0
.I unsigned char CodeSetArgC(Code cod, unsigned char retc) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ retc
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeName

.PD 0
.I char * CodeName(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeStrgName

.PD 0
.I Strg CodeStrgName(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeGetFunc

.PD 0
.I void * CodeGetFunc(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeGetData

.PD 0
.I Object CodeGetData(Code cod) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeSetFunc

.PD 0
.I void * CodeSetFunc(Code cod, void * func) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ func
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeSetData

.PD 0
.I Object CodeSetData(Code cod, Object data) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ data
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeOut

.PD 0
.I unsigned long CodeOut(Code cod, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function CodeEqual

.PD 0
.I unsigned char CodeEqual(Code cod, Code codw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ cod
	
.TP 12 
.I
_ codw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnAlloc

.PD 0
.I Bltn BltnAlloc() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnCopy

.PD 0
.I Bltn BltnCopy(Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnClone

.PD 0
.I Bltn BltnClone(Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnFree

.PD 0
.I void BltnFree(Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnNew

.PD 0
.I Object BltnNew() ;
.P
.PD 0
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnWrap

.PD 0
.I Object BltnWrap(Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnArgC

.PD 0
.I unsigned char BltnArgC(Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnArgT

.PD 0
.I unsigned short BltnArgT(Bltn blt, unsigned char argn) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.TP 12 
.I
_ argn
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnName

.PD 0
.I Strg BltnName(Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnFunc

.PD 0
.I void * BltnFunc(Bltn blt) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnOut

.PD 0
.I unsigned long BltnOut(Bltn blt, char * out, unsigned long max) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.TP 12 
.I
_ out
	
.TP 12 
.I
_ max
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function BltnEqual

.PD 0
.I unsigned char BltnEqual(Bltn blt, Bltn bltw) ;
.P
.PD 0
.B
	Args:
.RS
.TP 12 
.I
_ blt
	
.TP 12 
.I
_ bltw
	
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.PD 1
.P
.PD
.RS
.IP

.RE
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
