.TH OKit_SysTypes 3 "August 2001" Unix Libraries
.SH NAME
 OKit_SysTypes -  System Types  Instructions manual  


.I

.I
USES ErrLog.h
.I


.SH Stack definition
.PD 1
.P
.PD
.P
.SS Function StackAlloc

.PD 0
.I Stack StackAlloc(unsigned long chksz) ;
.P
.PD 0.PD 0
.P
.PD
Allocates a new, empty Stack.

.B
	Args:
.RS
.TP 12 
.I
_ chksz
	buffer size increment
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.RS
.IP "" 0
else the newly allocated Stack.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StackFree

.PD 0
.I void StackFree(Stack stk) ;
.P
.PD 0.PD 0
.P
.PD
Frees a Stack, dereferences and frees its contents.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack to free
.RE
.PD 1
.P
.PD
.P
.SS Function StackDepth

.PD 0
.I unsigned long StackDepth(Stack stk) ;
.P
.PD 0.PD 0
.P
.PD
Returns the depth (number of elements) of a Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack we want to get information about
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if a NULL Stack was passed as argument
.RE
.RS
.IP "" 0
else the Stack's depth.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Stack was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function StackPush

.PD 0
.I unsigned long StackPush(Stack stk, Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Pushes and references an Object onto a Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack
.TP 12 
.I
_ obj
	Object to push
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if some error occurred
.RE
.RS
.IP "" 0
else the new depth of the Stack.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Stack or Object was passed as argument
.TP 12 
.I
_ EACCES
	if the Stack was freezed and consequently cannot receive Objects
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function StackPop

.PD 0
.I Object StackPop(Stack stk) ;
.P
.PD 0.PD 0
.P
.PD
Pops and dereferences an Object from a Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	non-empty Stack
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if the Stack was NULL, empty or freezed
.RE
.RS
.IP "" 0
else the object popped from the stack.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Stack was passed as argument
.TP 12 
.I
_ EACCES
	if the Stack was freezed and consequently cannot yield Objects
.TP 12 
.I
_ ENOMEM
	if a memory disallocation failed (non-fatal error)
.RE
.PD 1
.P
.PD
.P
.SS Function StackGet

.PD 0
.I Object StackGet(Stack stk, unsigned long num) ;
.P
.PD 0.PD 0
.P
.PD
Gets an Object at a specified level of a Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	non-empty Stack
.TP 12 
.I
_ num
	level at which to look for an object
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if the Stack was NULL, or the level invalid
.RE
.RS
.IP "" 0
else the object at level 'num' of the Stack (first level is 1).
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL or empty Stack was passed as argument, or the level was invalid
.RE
.PD 1
.P
.PD
.P
.SS Function StackPut

.PD 0
.I Object StackPut(Stack stk, Object obj, unsigned long num) ;
.P
.PD 0.PD 0
.P
.PD
Puts an Object at a specified level of a Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack
.TP 12 
.I
_ obj
	Object to put
.TP 12 
.I
_ num
	level at which to put an object
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if the Stack was NULL, or the level invalid
.RE
.RS
.IP "" 0
else the old object at the specified level of the Stack (first level is 1).
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Stack or Object was passed as argument, or the level was invalid
.RE
.PD 1
.P
.PD
.P
.SS Function StackChkType

.PD 0
.I unsigned long StackChkType(Stack stk, unsigned long argc, unsigned short * argt) ;
.P
.PD 0.PD 0
.P
.PD
Checks the types of Objects on a Stack.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack
.TP 12 
.I
_ argc
	number of Objects to check
.TP 12 
.I
_ argt
	types of Objects to check (or-ed types of admissible objects, level by level)
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if the Stack was NULL or there was not enough Objects on Stack
.RE
.RS
.IP "" 0
else an error flag (0 if all arguments were OK, every bit standing as an individual
error flag for each level).
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Stack was passed as argument
.RE
.PD 1
.P
.PD
.P
.SS Function StackOut

.PD 0
.I unsigned long StackOut(Stack stk, char * out, unsigned long max, char * head, char * rowfmt, char * tail, unsigned long rows) ;
.P
.PD 0.PD 0
.P
.PD
Prints the contents of a Stack, following the given formats.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack
.TP 12 
.I
_ out
	output character string
.TP 12 
.I
_ max
	maximum number of characters to print (final nil char EXCEPTED)
.TP 12 
.I
_ head
	head string
.TP 12 
.I
_ rowfmt
	row printing format
.TP 12 
.I
_ tail
	tail string
.TP 12 
.I
_ rows
	number of rows (height in chars)
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if the Stack was NULL
.RE
.RS
.IP "" 0
else the number of characters printed.
or the total number of characters that should be printed, if 'out' was NULL.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL Stack was passed as argument
.RE
.PD 1
.P
.PD
.B
	Note:
.RS
.IP "" 0
The row format string is printed for each stack row between 0 and rows-1.
Escape sequences take the form %fdd..dd?, where the 'f' char is an optionnal
fill character (by dfault ' '), 'd' chars are digits and '?' denotes either
the 'n' or 's' characters. They are replaced by the stack row number, for the 'n'
format, and the corresponding object, for the 's' format, each written on
the number of chars denoted by the digits.
.RE
.PD 1
.P
.PD
.P
.SS Function StackStat

.PD 0
.I unsigned long StackStat(Stack stk) ;
.P
.PD 0.PD 0
.P
.PD
Prints Stack statistics on 'stdout'.

.B
	Args:
.RS
.TP 12 
.I
_ stk
	Stack
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if the Stack was NULL
.RE
.RS
.IP "" 0
else 0.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.IP "" 0
any error generated by the 'printf' libc call.
.RE
.PD 1
.P
.PD

.SH Variables domain definition
.PD 1
.P
.PD
.P
.SS Function NameSpaceAlloc

.PD 0
.I NameSpace NameSpaceAlloc(unsigned long chksz) ;
.P
.PD 0.PD 0
.P
.PD
Allocates an empty NameSpace.

.B
	Args:
.RS
.TP 12 
.I
_ chksz
	buffer size increment
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if no memory was available
.RE
.RS
.IP "" 0
else the newly allocated NameSpace.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function NameSpaceFree

.PD 0
.I void NameSpaceFree(NameSpace nms) ;
.P
.PD 0.PD 0
.P
.PD
Frees a NameSpace, dereferences and frees its contents.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	NameSpace to free
.RE
.PD 1
.P
.PD
.P
.SS Function NameSpaceGet

.PD 0
.I Object NameSpaceGet(NameSpace nms, char * name) ;
.P
.PD 0.PD 0
.P
.PD
Gets an elements by its key in a NameSpace.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	NameSpace
.TP 12 
.I
_ name
	key, or "Object name"
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL NameSpace or name was passed as argument, or no Object was known by this key
.RE
.RS
.IP "" 0
else the Object under name 'name'.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL NameSpace or name was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function NameSpaceSet

.PD 0
.I Object NameSpaceSet(NameSpace nms, char * name, Object obj) ;
.P
.PD 0.PD 0
.P
.PD
Sets and references an Object under a key in a NameSpace.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	NameSpace
.TP 12 
.I
_ name
	key, or "Object name"
.TP 12 
.I
_ obj
	Object to set under its "name"
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if some error occurred
.RE
.RS
.IP "" 0
else the old Object under this key, if it existed (and it is then dereferenced)
or the Object passed as argument.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL NameSpace, name or Object was passed as argument
.TP 12 
.I
_ EACCES
	if the NameSpace was freezed and consequently cannot receive Objects
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function NameSpaceDel

.PD 0
.I Object NameSpaceDel(NameSpace nms, char * name) ;
.P
.PD 0.PD 0
.P
.PD
Deletes a key and dereferences its contents in a NameSpace.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	NameSpace
.TP 12 
.I
_ name
	key, or "Object name"
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL NameSpace or name was passed as argument,
.RE
.RS
.IP "" 0
or the key was not found
else the Object under name 'name'.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL NameSpace or name was passed as argument
.TP 12 
.I
_ EACCES
	if the NameSpace was freezed and consequently cannot yield Objects
.TP 12 
.I
_ ENOMEM
	if a disallocation failed (non-fatal error)
.RE
.PD 1
.P
.PD
.P
.SS Function NameSpaceList

.PD 0
.I List NameSpaceList(NameSpace nms) ;
.P
.PD 0.PD 0
.P
.PD
Lists all the names in a NameSpace.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	NameSpace
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ NULL
	if a NULL NameSpace was passed as argument, or the List allocation failed
.RE
.RS
.IP "" 0
else the List of all names in nms.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL NameSpace or name was passed as argument
.TP 12 
.I
_ ENOMEM
	if no memory was available
.RE
.PD 1
.P
.PD
.P
.SS Function NameSpaceOut

.PD 0
.I unsigned long NameSpaceOut(NameSpace nms, char * out, unsigned long max, char * head, char * rowfmt, char * tail) ;
.P
.PD 0.PD 0
.P
.PD
Prints a NameSpace keys and contents, acording to formats.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	NameSpace
.TP 12 
.I
_ out
	output character string
.TP 12 
.I
_ max
	maximum number of characters to print (final nil char EXCEPTED)
.TP 12 
.I
_ head
	head string
.TP 12 
.I
_ rowfmt
	row printing format
.TP 12 
.I
_ tail
	tail string
.TP 12 
.I
_ rows
	number of rows (height in chars)
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if the Stack was NULL
.RE
.RS
.IP "" 0
else the number of characters printed.
or the total number of characters that should be printed, if 'out' was NULL.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.TP 12 
.I
_ EINVAL
	if a NULL NameSpace was passed as argument
.RE
.PD 1
.P
.PD
.B
	Note:
.RS
.IP "" 0
The row format string is printed for each name entry in the NameSpace.
Escape sequences take the form %fdd..dd?, where the 'f' char is an optionnal
fill character (by dfault ' '), 'd' chars are digits and '?' denotes either
the 'n' or 's' characters. They are replaced by the entry name, for the 'n'
format, and the corresponding object, for the 's' format, each written on
the number of chars denoted by the digits.
.RE
.PD 1
.P
.PD
.P
.SS Function NameSpaceStat

.PD 0
.I unsigned long NameSpaceStat(NameSpace nms) ;
.P
.PD 0.PD 0
.P
.PD
Prints NameSpace statistics on 'stdout'.

.B
	Args:
.RS
.TP 12 
.I
_ nms
	NameSpace
.RE
.PD 1
.P
.PD
.B
	Returns:
.RS
.TP 12 
.I
_ -1
	if the NameSpace was NULL
.RE
.RS
.IP "" 0
else 0.
.RE
.PD 1
.P
.PD
.B
	Errors:
.RS
.IP "" 0
any error generated by the 'printf' libc call.
.RE
.PD 1
.P
.PD
